
Figure - Bug #118210
【IOVDEV-29887】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【第三方应用】腾讯会议无法听
到成员讲话，没有音频播出
2023-05-24 16:07 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-24

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0095.C103��【中控版本号】：03.02.0080.C101.03_userdebug_2305121121

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 106

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 腾讯会议的下行use case强制转为audio-playback-voip.

Description

【环境信息】：EE环境

【问题出现时间】：2023/05/23 10:48 第45次开机

【前提条件】：电源ON

【操作步骤】：

1、打开腾讯会议

2、接入AMP和中控

3、进入会议

4、成员讲话

5、腾讯会议为扬声器模式

【实际结果】

AMP没有声音

【期望结果】

AMP可以听到成员讲话

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0095.C103

【中控版本号】：03.02.0080.C101.03_userdebug_2305121121

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】腾讯会议 3.16.3.477

录屏&log:https://ofs.human-horizons.com/#/download/index/irgJRJ6sNXU%3D

History

#1 - 2023-05-24 16:08 - CDTS_Test 吴诗雨

客户测试反馈：

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0082.C102.02_userdebug_2305191401

使用0100版本测试失败，仍然听不到声音

#2 - 2023-05-24 16:09 - CDTS_Test 吴诗雨
日志和视频：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118210

#3 - 2023-05-24 19:49 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

当前分析：

根据复现日志来看，焦点申请没问题。

腾讯会议使用的use case为low-latency-playback，该通路可能导致了该问题。

05-24 19:33:14.696   813   853 D audio_hw_primary: select_devices for use case (low-latency-playback)

05-24 19:33:14.696   813   853 D audio_hw_primary: select_devices: changing use case low-latency-playback output device from(2: speaker, acdb 15) to (27:

voice-speaker-stereo, acdb 15)

下一步：

咨询audio-bsp该通路是否可以拿来通话。

#4 - 2023-05-25 16:00 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

和金泽沟通，发现low-latency-playback不能拿来做通话的下行通路。

该问题需要特殊处理，将腾讯会议的下行use case强制转为audio-playback-voip.

#5 - 2023-05-26 15:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202851 general/platform/hardware/qcom/audi

o

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangyj0127@thundersoft.com

MM: Audio: Fix some voiceless issues with VOIP appFix some voiceless issues with VOIP appTC-RID: 0301-0900116IssueID: TS-R-DF-118210Change-Id:

I82e358caf410d3d75ad09a4994705f10d84265d9

#6 - 2023-05-26 15:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202854 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com
MM: Audio: Fix some voiceless issues with VOIP appFix some voiceless issues with VOIP appTC-RID: 0301-0900116IssueID: TS-R-DF-118210Change-Id:

I0a5b9bf2650bd50a92d800b3ec22b6450dcae632

#7 - 2023-05-26 15:46 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 腾讯会议的下行use case强制转为audio-playback-voip.

HI 诗雨

该问题已经投入相关的patch修复，请使用5月26日后的版本进行验证，谢谢！

#8 - 2023-05-27 15:45 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to 物联网测试组_CDTS  唐霞 

Hi 唐霞，

麻烦帮忙在中控上验证一下，谢谢

#9 - 2023-05-29 14:58 - 物联网测试组_CDTS  唐霞 

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD TEST-方永红

#10 - 2023-06-01 16:33 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to 106

6.1

验证通过

#11 - 2023-06-01 17:03 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

screen-20230523-111936.mp4 10 MB 2023-05-24 CDTS_Test 吴诗雨
